Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 21978 - Why there is ModuleInstall?
Why there is ModuleInstall?
Status: CLOSED FIXED
Product: obsolete
Classification: Unclassified
Component: vcscore
3.x
PC Linux
: P1 (vote)
: 3.x
Assigned To: Martin Entlicher
issues@obsolete
: PERFORMANCE
Depends on:
Blocks: 21676
  Show dependency treegraph
 
Reported: 2002-03-29 14:48 UTC by Jaroslav Tulach
Modified: 2003-07-01 12:56 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-03-29 14:48:42 UTC
As part of issue 21676 I have investigated what will happen when
ModuleInstall.restore of modules will be called but nothing else. Applied the
patch in issue 21676 and started the IDE with 

-J-Dskip.toolbars=true -J-Dskip.loaders=true -J-Dskip.shortcuts=true
-J-Dnetbeans.full.hack=full -J-Dskip.menu=true

Following classes has been loaded, please investigate why and make sure that
they will not:

org.netbeans.modules.vcs.advanced.CommandLineVcsModule
org.netbeans.modules.vcscore.util.Debug
org.netbeans.modules.vcscore.VcsCoreModuleInstall
Comment 1 Martin Entlicher 2002-04-02 19:05:51 UTC
Reassigning ...
Comment 2 Martin Entlicher 2002-04-03 08:49:05 UTC
The module installs are probably a relict from the past. Starting to
work on it...
Comment 3 Martin Entlicher 2002-04-03 11:12:29 UTC
org.netbeans.modules.vcscore.VcsCoreModuleInstall removed, references
to Debug class removed.

org.netbeans.modules.vcs.advanced.CommandLineVcsModule is there to
assure, that all changed FS properties will be written before the IDE
exits. This way was suggested by someone.

If this is not the correct approach, please reopen and describe an
alternate approach. Thanks.
Comment 4 Jiri Kovalsky 2002-04-04 10:51:38 UTC
I believe Yarda will reopen the issue, if the used solution does not
satisfy him ... :-)
Comment 5 Jaroslav Tulach 2002-04-13 14:22:56 UTC
Verified that all has been fixed except the CommandLineVcsModule.

I believe that one can now ensure that the IDE will not exit by
holding a FileLock to some file in system file system. So if you know
that you should rewrite the filesystem configuration file, hold a lock
and the IDE will not finish.
Comment 6 Martin Entlicher 2002-04-15 16:47:56 UTC
O.K., I'll try to use the FileLock. Starting to work on it...

Comment 7 Martin Entlicher 2002-04-15 17:29:55 UTC
Fixed via holding FileLock in dev build Apr 16.
ModuleInstall class removed.

Comment 8 Jiri Kovalsky 2002-05-10 10:37:49 UTC
Okay, verified in development build #200205090100 of NetBeans 3.4.
Comment 9 Quality Engineering 2003-07-01 12:56:54 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo